AXFER-LIST(1)

NAME
axfer-list - dump lists of available sound devices and nodes to transfer audio data frame.

SYNOPSIS

axfer list direction target

direction = capture | playback

target = device | pcm

DESCRIPTION
The list subcommand of axfer dumps lists of available nodes to transfer audio data frame. At present, the subcommand is helpful just for libasound backend of transfer subcommand.

OPTIONS

  Direction

capture
    Operates for capture transmission.

playback
    Operates for playback transmission.

  Target

device
    Dumps a list of all soundcards and digital audio devices available in libasound backend for tranfer subcommand.

pcm Dumps a list of all PCM nodes available in alsa-lib configuration space in libasound backend for transfer subcommand.

COMPATIBILITY TO APLAY

Options of -l , --list-devices are handled as device operation. Options of -L , --list-pcms are handled as pcm operation.

SEE ALSO
axfer(1), axfer-transfer(1), alsamixer(1), amixer(1)

AUTHOR
Takashi Sakamoto <o-takashi@sakamocchi.jp>